<?php
// 定义png图片的头部
header('Content-type: image/png');
// 引入类文件
include ('phpqrcode/phpqrcode.php');
$value = 'http://www.phprm.com';
// 定义logo文件的路径
$logo = 'phprm.png';
// 定义不带logo二维码文件的生成路径
$QR = 'xiangyang.png';

// 定义带logo二维码文件的生成路径
$logoQR = 'xiangyanglog.png';

// 定义容错等级
$errorCorrectionLevel = 'L';
// 定义生成的二维码大小
$matrixPointSize = 10;

QRcode::png($value, $QR, $errorCorrectionLevel, $matrixPointSize, 2);

if ($logo !== FALSE) {
    $QR = imagecreatefromstring(file_get_contents($QR));
    $logo = imagecreatefromstring(file_get_contents($logo));
    $QR_width = imagesx($QR);
    $QR_height = imagesy($QR);
    $logo_width = imagesx($logo);
    $logo_height = imagesy($logo);
    $logo_qr_width = $QR_width / 5;
    $scale = $logo_width / $logo_qr_width;
    $logo_qr_height = $logo_height / $scale;
    $from_width = ($QR_width - $logo_qr_width) / 2;
    imagecopyresampled($QR, $logo, $from_width, $from_width, 0, 0, $logo_qr_width, $logo_qr_height, $logo_width, $logo_height);
}
imagepng($QR);

//如果需要生成到文件
imagepng($QR, $logoQR);

